package com.kym.service.miniapp;

import com.github.yulichang.base.MPJBaseService;
import com.kym.entity.miniapp.Account;
import com.kym.entity.miniapp.UserRechargeRights;
import com.kym.entity.miniapp.vo.UserRightsAndCouponsVo;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 用户账户表 服务类
 * </p>
 *
 * @author skyline
 * @since 2023-08-07
 */
public interface AccountService extends MPJBaseService<Account> {

    Account getAccountByUserId(Long userId);

    UserRightsAndCouponsVo listRightsAndCoupons();

    UserRightsAndCouponsVo listStationAvailableRightsAndCoupons(String stationId);

    @Transactional
    void batchHandleDiscountAmount(List<UserRechargeRights> userRechargeRightsList);
}
